digiKam Developer Documentation: ShowFoto::ShowfotoStackViewFavoriteItem Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
ShowFoto::ShowfotoStackViewFavoriteItem Class Reference
Inheritance diagram for ShowFoto::ShowfotoStackViewFavoriteItem:

## Public Types
enum | FavoriteType { FavoriteRoot = -1 , FavoriteFolder , FavoriteItem }

## Public Member Functions
| ShowfotoStackViewFavoriteItem (QTreeWidget *const parent)
| ShowfotoStackViewFavoriteItem (QTreeWidgetItem *const parent, int favType)
QUrl | currentUrl () const
QDate | date () const
QString | description () const
int | favoriteType () const
QString | hierarchy () const
QString | name () const
void | setCurrentUrl (const QUrl &url)
void | setDate (const QDate &date)
void | setDescription (const QString &desc)
void | setFavoriteType (int favoriteType)
void | setHierarchy (const QString &desc)
void | setName (const QString &name)
void | setUrls (const QList< QUrl > &)
QList< QUrl > | urls () const
QStringList | urlsToPaths () const
| Helper method to get a list local paths from image urls included in favorite item.

## Static Public Member Functions
static QString | hierarchyFromParent (const QString &name, ShowfotoStackViewFavoriteItem *const pitem)
| Helper static method to get hierarchy path from item.

## Member Enumeration Documentation

## ◆ FavoriteType

enum ShowFoto::ShowfotoStackViewFavoriteItem::FavoriteType

Enumerator
FavoriteRoot | Favorite is root item from hierarchy.
FavoriteFolder | Favorite is a simple folder in hierarchy.
FavoriteItem | Favorite is a hierarchy item including all properties.

## Member Function Documentation

## ◆ hierarchyFromParent()

QString ShowFoto::ShowfotoStackViewFavoriteItem::hierarchyFromParent | ( | const QString & | name,
|  | ShowfotoStackViewFavoriteItem *const | pitem
| ) |  |
| static

'name' is the title and 'pitem" the parent instance.